import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppComponent } from './app.component';
import { AppRoutingModule } from './app-routing.module';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { HttpClientModule } from '@angular/common/http';
import { TranslocoRootModule } from './transloco-root.module';
import { ScoutingCryptoComponent } from './scouting-crypto/scouting-crypto.component';
import { HomeComponent } from './home-component/home.component';
import { RouterModule } from '@angular/router';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { MainNavigationComponent } from './main-navigation/main-navigation.component';

@NgModule({
  imports: [
    AppRoutingModule,
    BrowserModule,
    BrowserAnimationsModule,
    HttpClientModule,
    NgbModule,
    TranslocoRootModule,
    RouterModule.forRoot([{ path: '', component: ScoutingCryptoComponent }]),
  ],
  declarations: [ScoutingCryptoComponent, HomeComponent, AppComponent, MainNavigationComponent],
  providers: [],
  bootstrap: [AppComponent],
})
export class AppModule {}
